Update GPG error <SOLVED>

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Update GPG error <SOLVED>

Postby mrjoeyman on Thu Oct 13, 2011 10:13 am

I get this error:

W: GPG error: http://liveusb.info all Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 4E940D7FDD7FB8CC

How do I resolve it? Thanks.
mrjoeyman
Level 2
Level 2
 
Posts: 90
Joined: Sat Oct 01, 2011 10:17 pm

Linux Mint is funded by ads and donations.
 

Re: Update GPG error

Postby proxima_centauri on Thu Oct 13, 2011 10:18 am

* Split post into it's own thread
User avatar
proxima_centauri
Level 11
Level 11
 
Posts: 3976
Joined: Tue Dec 25, 2007 3:24 pm
Location: NB, Canada

Re: Update GPG error

Postby crbirdx on Fri Oct 14, 2011 8:01 am

Where did you split this thread to?
crbirdx
Level 1
Level 1
 
Posts: 3
Joined: Sun Feb 20, 2011 12:59 pm

Re: Update GPG error

Postby mrjoeyman on Fri Oct 14, 2011 7:59 pm

I believe he means that he made THIS thread with that error message. :) Still no answer though :(
mrjoeyman
Level 2
Level 2
 
Posts: 90
Joined: Sat Oct 01, 2011 10:17 pm

Re: Update GPG error

Postby zerozero on Fri Oct 14, 2011 8:03 pm

mrjoeyman,
from the terminal, what is the output of
Code: Select all
inxi -r

let's start from here :)
zerozero
Level 16
Level 16
 
Posts: 6472
Joined: Tue Jul 07, 2009 2:29 pm

Re: Update GPG error

Postby mrjoeyman on Fri Oct 14, 2011 8:07 pm

zerozero wrote:mrjoeyman,
from the terminal, what is the output of
Code: Select all
inxi -r

let's start from here :)



Aww, now Im at work! I will try first thing in the am! There is at least one more person that I know of that needs this help too, and he is following this thread, so I may get to see it develop into a successful fix before I get home. Cheers and thanks for the help Zero!

Update: Holy moly! I just googled what the inxi script does and lets just say that if this gets into the wrong hands, someone could find out just about anything they want to know about my computer, but was afraid to ask! :mrgreen:

This will come in very handy. :P
mrjoeyman
Level 2
Level 2
 
Posts: 90
Joined: Sat Oct 01, 2011 10:17 pm

Re: Update GPG error

Postby richyrich on Sat Oct 15, 2011 12:03 am

Please check to make sure that you have the full, correct repository address in your sources list file.
From their instruction page (I used google translate) : http://liveusb.info/dotclear/index.php?pages/install
# # Add the repository of MultiSystem
sudo apt-add-repository "deb http://liveusb.info/multisystem/depot all hands'
# # Add the public key
http://liveusb.info/multisystem/depot/multisystem.asc wget-q-O-| sudo apt-key add -
# # Reload the sources
sudo apt-get update
# # Install MultiSystem
sudo apt-get install multisystem

# Debian users,
# After installing multisystem add your $ USER group adm.
sudo usermod-a-G adm "$ SUDO_USER"
User avatar
richyrich
Level 13
Level 13
 
Posts: 4635
Joined: Mon May 04, 2009 8:31 pm

Re: Update GPG error

Postby crbirdx on Sat Oct 15, 2011 7:33 am

Here is my readout

Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.linuxmint.com/ debian main upstream import
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free
deb http://liveusb.info/multisystem/depot all main
deb-src http://liveusb.info/multisystem/depot all main
Active apt sources in file: /etc/apt/sources.list.d/dropbox.list
deb http://linux.dropbox.com/ubuntu maverick main
crbirdx
Level 1
Level 1
 
Posts: 3
Joined: Sun Feb 20, 2011 12:59 pm

Re: Update GPG error

Postby richyrich on Sat Oct 15, 2011 7:42 am

crbirdx, are you getting the same GPG key error message as the Originating Post author ?

Code: Select all
wget -q http://liveusb.info/multisystem/depot/multisystem.asc -O- | sudo apt-key add -

http://liveusb.info/dotclear/index.php?pages/install
Last edited by richyrich on Sat Oct 15, 2011 7:45 am, edited 1 time in total.
User avatar
richyrich
Level 13
Level 13
 
Posts: 4635
Joined: Mon May 04, 2009 8:31 pm

Re: Update GPG error

Postby mrjoeyman on Sat Oct 15, 2011 7:44 am

Yes he pm'd me and told me he was getting the same error. Here is my readout:

Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.linuxmint.com/ debian main upstream import
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free
deb http://liveusb.info/multisystem/depot all main
deb-src http://liveusb.info/multisystem/depot all main
mrjoeyman
Level 2
Level 2
 
Posts: 90
Joined: Sat Oct 01, 2011 10:17 pm

Re: Update GPG error

Postby richyrich on Sat Oct 15, 2011 7:49 am

copy the code above (in green) , paste it into your terminal, hit enter, your password, enter . . let it do it's thing . . done ! :)
User avatar
richyrich
Level 13
Level 13
 
Posts: 4635
Joined: Mon May 04, 2009 8:31 pm

Re: Update GPG error

Postby crbirdx on Sat Oct 15, 2011 7:53 am

Thanks richyrich it worked!!!! :D :D :D
crbirdx
Level 1
Level 1
 
Posts: 3
Joined: Sun Feb 20, 2011 12:59 pm

Re: Update GPG error <SOLVED>

Postby mrjoeyman on Sat Oct 15, 2011 8:57 am

Thanks Rich! It worked for me too for this error! Its gone, sweet. But I still have this error when I check my sources from the command line:

When I input this command:

Code: Select all
gksu gedit /etc/apt/sources.list


I get this:

Code: Select all
(gedit:7822): EggSMClient-WARNING **: Failed to connect to the session manager: None of the authentication protocols specified are supported


Sup wid dat? :?:
mrjoeyman
Level 2
Level 2
 
Posts: 90
Joined: Sat Oct 01, 2011 10:17 pm

Linux Mint is funded by ads and donations.
 

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 5 guests